diff --git a/doc/src/sgml/ddl.sgml b/doc/src/sgml/ddl.sgml
index 1fe27c5da9..f47170cb35 100644
--- a/doc/src/sgml/ddl.sgml
+++ b/doc/src/sgml/ddl.sgml
@@ -3583,6 +3583,26 @@ VALUES ('Albany', NULL, NULL, 'NY');
      offer flexibility but do not have some of the performance benefits
      of built-in declarative partitioning.
     </para>
+
+    <note>
+     <para>
+      When using table inheritance, partitioning hierarchies with more than a
+      few hundred partitions are not currently recommended.  Larger partition
+      hierarchies may incur long planning time, and especially in the case of
+      <command>UPDATE</command> and <command>DELETE</command>, excessive
+      memory usage.  When inheritance is used, see also the limitations
+      described in <xref linkend="ddl-partitioning-constraint-exclusion"/>.
+     </para>
+
+     <para>
+      When using declarative partitioning, the effort required by the planner
+      is closely tied to the number of unpruned partitions.  Planning is
+      generally fast with small numbers of unpruned partitions even in
+      partitioning hierarchies containing many thousands of partitions.
+      However, planning queries where partition pruning is not possible during
+      planning are likely to be slow with such large partitioning hierarchies.
+     </para>
+    </note>
    </sect2>
 
   <sect2 id="ddl-partitioning-declarative">
